CREATE TABLE `lowcode_logic_module_rel` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `rel_type` tinyint(4) NOT NULL DEFAULT '1' COMMENT '关联类型，1-实现模型行为与moduleID关系',
  `project_id` bigint(20) NOT NULL COMMENT '项目id',
  `logic_id` bigint(20) NOT NULL COMMENT '模型ID(实现模型ID...)',
  `behavior_id` bigint(20) NOT NULL COMMENT '行为ID',
  `module_id` bigint(20) NOT NULL COMMENT 'moudleID',
  `create_user` bigint(20) DEFAULT NULL COMMENT '创建人',
  `gmt_create` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `modified_user` bigint(20) DEFAULT NULL COMMENT '修改用户',
  `gmt_modified` datetime DEFAULT NULL COMMENT '修改时间',
  `valid` tinyint(4) DEFAULT '0' COMMENT '状态:-1 删除, 0 正常',
  `ext1` varchar(64) DEFAULT NULL COMMENT '扩展字段1',
  `ext2` varchar(64) DEFAULT NULL COMMENT '扩展字段2',
  `ext3` varchar(64) DEFAULT NULL COMMENT '扩展字段3',
  PRIMARY KEY (`id`),
  KEY `idx_projectId_logicId_behaviorId_moduleId`(`project_id`, `logic_id`, `behavior_id`, `module_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='数据模型-逻辑impl模型行与module关系';